## org.apache.cassandra.io.sstable
Class SSTableBoundedScanner.BoundedKeyScanningIterator

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableScanner.KeyScanningIterator
          org.apache.cassandra.io.sstable.SSTableBoundedScanner.BoundedKeyScanningIterator

All Implemented Interfaces:
  java.util.Iterator<IColumnIterator>

Enclosing class:
  SSTableBoundedScanner

    protected class SSTableBoundedScanner.BoundedKeyScanningIterator

extends SSTableScanner.KeyScanningIterator

Field Summary

Fields inherited from class org.apache.cassandra.io.sstable.SSTableScanner.KeyScanningIterator
`finishedAt`

Constructor Summary
`protected` `SSTableBoundedScanner.BoundedKeyScanningIterator()`

Method Summary
`boolean` `hasNext()`

Methods inherited from class org.apache.cassandra.io.sstable.SSTableScanner.KeyScanningIterator
`next, remove, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSTableBoundedScanner.BoundedKeyScanningIterator

    protected SSTableBoundedScanner.BoundedKeyScanningIterator()

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<IColumnIterator>`
  Overrides:
    `hasNext` in class `SSTableScanner.KeyScanningIterator`

Copyright © 2012 The Apache Software Foundation